/****************************************************************************
 This file is a part of Purp (Pugo RPM) - a ncurses-based RPM-handler
 Copyright (C) 1998 - Anders Karlsson <pugo@lysator.liu.se>

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.         
 
 For latest information and version of Purp, look at the Purp homepage:
 <http://www.lysator.liu.se/purp/>
 
 Please send comments and bug-reports to: <pugo@lysator.liu.se>
****************************************************************************/

#include <curses.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "main.h"
#include "linklist.h"
#include "table.h"
#include "dir.h"
#include "tools.h"

#include "textwindow.h"
#include "pathwin.h"

extern listelement *listpointer[];
extern int new_option[];
extern rpmdb grpmdb;  /* for the rpm-database */
extern char *availdir;
extern int panel;  // the currently selected panel


pathwin::pathwin( void )
{
   InitWindow();
}


void pathwin::InitWindow( void )
{
   x = 0;
   y = PATH_WIN_TOP;
   height = PATH_WIN_HEIGHT;
   width = COLS;
   
   win = newwin( height, width, y, x );
   if( win == NULL )
    {   
       fprintf( stderr, "Error: Unable to create path-window!\n" );
       endwin();
       exit(0);
    }

   wbkgd( win, COLOR_PAIR(2) );
   wattrset( win, COLOR_PAIR(2) );
   werase( win );   

   mvwaddch( win, 0, 0, ACS_VLINE );
   mvwaddch( win, 0, width-1, ACS_VLINE );
   wrefresh( win );   

}


void pathwin::PrintPath( char * path )
{
   char tmpstr[255];
   
   werase( win );   
   mvwaddch( win, 0, 0, ACS_VLINE );
   mvwaddch( win, 0, width-1, ACS_VLINE );
   
   mvwaddstr( win, 0, 2, path );

   wrefresh( win );   
}

