/****************************************************************************
 This file is a part of Purp (Pugo RPM) - a ncurses-based RPM-handler
 Copyright (C) 1998 - Anders Karlsson <pugo@lysator.liu.se>

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.         
 
 For latest information and version of Purp, look at the Purp homepage:
 <http://www.lysator.liu.se/purp/>
 
 Please send comments and bug-reports to: <pugo@lysator.liu.se>
****************************************************************************/

#include <curses.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "pwindow.h"
#include "linklist.h"
#include "table.h"
#include "main.h"
#include "tools.h"

extern listelement *listpointer[];
extern struct    tablewin table[];


/* Constructor for the base-class 'pwindow' */
pwindow::pwindow( void )
{
}


/* Destructor for the window */
pwindow::~pwindow( void )
{
   #ifdef DEBUG_TO_TERM
     TermWrite( "Destruerar pwindow" );
   #endif

   delwin( win );
}


/* Set the window-title */
void pwindow::SetTitle( char * lTitle )
{
   strcpy( title, lTitle );
}


/* Return the window-title */
char * pwindow::GetTitle( void )
{
   return( title );
}


/* Move the window to position (x,y) */
void pwindow::Move( int lx, int ly )
{
   x = lx;
   y = ly;
   mvwin( win, y, x );
   wrefresh( win );
}


/* Resize the window to size (width, height) */
void pwindow::Resize( int w, int h )
{
   width = w;
   height = h;
   wresize( win, height, width );
   wrefresh( win );
}


/* Refresh the window, i.e. redraw it */
void pwindow::Refresh( void )
{
   werase( win );
   wrefresh( win ); 
}

