/****************************************************************************
 This file is a part of Purp (Pugo RPM) - a ncurses-based RPM-handler
 Copyright (C) 1998 - Anders Karlsson <pugo@lysator.liu.se>

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.         
 
 For latest information and version of Purp, look at the Purp homepage:
 <http://www.lysator.liu.se/purp/>
 
 Please send comments and bug-reports to: <pugo@lysator.liu.se>
****************************************************************************/

#ifndef TABLE_H
#define TABLE_H


#define TERM_ROWS                LINES
#define TERM_COLUMNS             COLS


#define INFO_WIN_HEIGHT          7
#define INFO_WIN_BOTTOM          TERM_ROWS - 1
#define INFO_WIN_TOP             (INFO_WIN_BOTTOM - INFO_WIN_HEIGHT)

#define PATH_WIN_HEIGHT          1
#define PATH_WIN_BOTTOM          (INFO_WIN_TOP)
#define PATH_WIN_TOP             (PATH_WIN_BOTTOM - PATH_WIN_HEIGHT)

#define PANEL_TOP                0
#define PANEL_BOTTOM             PATH_WIN_TOP
#define PANEL_HEIGHT             (PANEL_BOTTOM - PANEL_TOP)
#define PANEL_CONTENTS_HEIGHT    (PANEL_HEIGHT - 2)


#   ifndef ACS_VLINE
#       define ACS_VLINE '|'
#      endif

#   ifndef ACS_HLINE
#       define ACS_HLINE '-'
#   endif

#   ifndef ACS_ULCORNER
#       define ACS_ULCORNER '+'
#   endif

#   ifndef ACS_LLCORNER
#       define ACS_LLCORNER '+'
#   endif

#   ifndef ACS_URCORNER
#       define ACS_URCORNER '+'
#   endif

#   ifndef ACS_LRCORNER
#       define ACS_LRCORNER '+'
#   endif

#   ifndef ACS_LTEE
#       define ACS_LTEE '+'
#   endif

#   ifndef KEY_BACKSPACE
#       define KEY_BACKSPACE 0
#   endif

#   ifndef KEY_END
#       define KEY_END 0
#   endif

struct tablewin
{
   WINDOW      *win;
   int         width, height;
   int         maxoptions;
   int         new_option;
   int         highest_item_on_list;
   char        dirstring[128];
   int         selected;
   long        selected_size;   
};


void InitieraCurs();
void display_menu (listelement *listpointer[2], int, int);
int  initTest (WINDOW **, WINDOW **, WINDOW ** );
void DrawInfoWin();
void PrepareAvailableWin();
void PrepareInstalledWin();
void MyPutText( int x, int y, char *text );
void ClearPanel( short panel );
void EraseAll();


#endif // TABLE_H
